*{ margin: 0; padding: 0; box-sizing: border-box }


.middleinfo{

 height: 80vh;
 justify-content: center;
 align-items: center;
 text-align: center;
 padding-top:10%;
 background-color:black;
 color: white;


 

}
.middleinfo h1{

font-size: 80px;
font-weight:bold;
font-family:grandeecp;

}

.middleinfo div:after{

   font-size: 50px;
   content: 'Graphic Designer';
   animation: text 4s infinite linear;
   width: 0ch;
   overflow: hidden;
   white-space: nowrap;
   border-right: 3px solid black;
   
}

@keyframes text{

	0%{
		width: 0ch;
	}

	35%{
		width: 11ch;
		content:'Web Developer';
	}

	33%{
		width: 10ch;
		content:'Video Editor';
	}
}



.navbar-brand {
    position: relative;
    background: url(../image/logo.png);
    width:170px;
    height: 30px;
    background-size:cover;
    background-repeat: no-repeat;
}
.nav-item a{

	color: #fff!important;
	font-weight: bold;
	padding: 15px;
    justify-content: space-between;
    
}

.nav-link:after{

	content: '';
	display: block;
	width: 0;
	height: 2px;
	background: #fff;
	transition: width .3s;


}
	
.nav-link:hover:after{

	width: 100%;
	transition: width .3s;
}
. bg-dark{

	color: black;
}

.btn {

	margin-top:5%;
	padding-left: 3%;
	padding-right: 3%;
	padding-top: 1%;
	padding-bottom: 1%;
	font-weight: bold;
	font-size: 20px;
	text-align: center;
	font-family: ;
	border: 3px solid white;
	position: relative;
	color:white;


}
.btn:hover{

	background-color:white;
	color: black;
	
}

.secondndinfo{

 height: 80vh;
 justify-content: center;
 align-items: center;
 text-align: center;
 padding-top:3%;
}
.heading h1{
font-size: 40px;
font-weight:bold;

}
/* hr.line{

	height: 5px;
	width: 15%;
	border: 2px solid black;
	border-radius: 5px;
	background: linear-gradient(to left, red,blue);
    animation:line 2s linear infinite;
  
 

}

@keyframes line{

  from {background-position: 0% 1%;}  
    to {background-position:87% 0%;}

} */

hr.line {
 
    height: 5px;
	width: 25%;
	border: 2px solid black;
	border-radius: 5px;
	background: linear-gradient(to right, yellow,red,#14D839,blue);
    background-size: 200%;
    animation-name: colored;
    animation-duration: 2s;
    animation-iteration-count: infinite;
    animation-timing-function: linear;
}

@keyframes colored {
  from {background-position: 5% 1%;}  
    to {background-position: 200% 54%;}
}
.logos{

  padding-top: 50px;
  padding-bottom: 50px;
}
/* .p:hover{
   padding: 10px;
  transition: transform 0.7s linear; 
  width: 100px;
  height:100px;
  margin: 0px auto;
}
 */
.p:hover {
	transition: transform 0.01s linear;
 -ms-transform: rotate3d(90, 90, 90, -340deg); /* IE 9 */
  -webkit-transform: rotate3d(90, 90, 90, -340deg); /* Safari 3-8 */
  transform: rotate3d(90, 90, 90, -340deg);  /* (150% zoom - Note: if the zoom is too large, it will go outside of the viewport) */
}

/* .p:hover{
   padding: 10px;
  transition: transform 0.1s linear; Animation
  width: 100px;
  height:100px;
  margin: 0px auto;
} */

.f:hover {
 transition: transform 0.01s linear;
 -ms-transform: rotate3d(90, 90, 90, 340deg); /* IE 9 */
  -webkit-transform: rotate3d(90, 90, 90, 340deg); /* Safari 3-8 */
  transform: rotate3d(90, 90, 90, 340deg);   /* (150% zoom - Note: if the zoom is too large, it will go outside of the viewport) */
}

/* .p:hover{
   padding: 10px;
  transition: transform 0.1s linear; Animation
  width: 100px;
  height:100px;
  margin: 0px auto;
} */

.i:hover {
 -ms-transform: scale(1.2); /* IE 9 */
  -webkit-transform: scale(1.2); /* Safari 3-8 */
  transform: scale(1.2);  /* (150% zoom - Note: if the zoom is too large, it will go outside of the viewport) */

}

hr.sline {
 
    height: 5px;
	width: 12%;
	border: 2px solid black;
	border-radius: 5px;
	background: linear-gradient(to left, #FF00CC,red,#14D839,#00DEFF);
    background-size: 200%;
    animation-name: colored;
    animation-duration: 2s;
    animation-iteration-count: infinite;
    animation-timing-function: linear;
}

hr.cline {
 
    height: 5px;
	width: 17%;
	border: 2px solid black;
	border-radius: 5px;
	background: linear-gradient(to left, #e600e6,#00e699,#e60000,#00DEFF);
    background-size: 200%;
    animation-name: colored;
    animation-duration: 2s;
    animation-iteration-count: infinite;
    animation-timing-function: linear;
}


@keyframes colored {
  from {background-position: 5% 1%;}  
    to {background-position: 200% 54%;}
}



.flip-box {
  background-color: transparent;
  width: 350px;
  height: 400px;
  border: 1px solid #fff;
  perspective: 1000px;
  margin-right: 50px;


}

.flip-box-inner {
  position: relative;
  width: 100%;
  height: 100%;
  text-align: center;
  transition: transform 0.8s;
  transform-style: preserve-3d;
}

.flip-box:hover .flip-box-inner {
  transform: rotateY(180deg);
  border: 3px solid #000;
}

.flip-box-front, .flip-box-back {
  position: absolute;
  width: 100%;
  height: 100%;
  -webkit-backface-visibility: hidden;
  backface-visibility: hidden;
}

.flip-box-front {
  background: linear-gradient(to top,#73e600,#7733ff);
  color: white;
  text-align: center;
  padding-top: 10%;
  box-shadow: 0 0 20px 0 rgba(0, 0, 0,0.3);
}

.flip-box-back {
  background: linear-gradient(to top,magenta,orange);
  color: white;
  padding-top: 10%;
  transform: rotateY(180deg);
  box-shadow: 0 0 20px 0 rgba(0, 0, 0,0.3);
}


.flipbox {
  background-color: transparent;
  width: 350px;
  height: 400px;
  border: 1px solid #fff;
  perspective: 1000px;
   margin-right: 50px;

}

.flipbox-inner {
  position: relative;
  width: 100%;
  height: 100%;
  text-align: center;
  transition: transform 0.8s;
  transform-style: preserve-3d;
}

.flipbox:hover .flipbox-inner {
  transform: rotateY(180deg);
   border: 3px solid #000;
}

.flipbox-front, .flipbox-back {
  position: absolute;
  width: 100%;
  height: 100%;
  -webkit-backface-visibility: hidden;
  backface-visibility: hidden;
}

.flipbox-front {
  background: linear-gradient(to top,red,#005ce6);
  color: white;
  padding-top: 10%;
  box-shadow: 0 0 20px 0 rgba(0, 0, 0,0.3);
}

.flipbox-back {
  background: linear-gradient(to top,#8000ff, #33ff33);
  color: white;
  transform: rotateY(180deg);
  padding-top: 10%;
  box-shadow: 0 0 20px 0 rgba(0, 0, 0,0.3);
}

.flip-boxx {
  background-color: transparent;
  width: 350px;
  height: 400px;
  border: 1px solid #fff;
  perspective: 1000px;
   margin-right: 50px;

}

.flip-boxx-inner {
  position: relative;
  width: 100%;
  height: 100%;
  text-align: center;
  transition: transform 0.8s;
  transform-style: preserve-3d;
}

.flip-boxx:hover .flip-boxx-inner {
  transform: rotateX(180deg);
   border: 3px solid #000;
}

.flip-boxx-front, .flip-boxx-back {
  position: absolute;
  width: 100%;
  height: 100%;
  -webkit-backface-visibility: hidden;
  backface-visibility: hidden;
}

.flip-boxx-front {
  background: linear-gradient(to top,yellow,red);
  color: white;
  padding-top: 10%;
  box-shadow: 0 0 20px 0 rgba(0, 0, 0,0.3);

}

.flip-boxx-back {
 background: linear-gradient(to top,#9900e6,#ff6600);
  color: white;
  transform: rotateX(180deg);
  padding-top: 10%;
  box-shadow: 0 0 20px 0 rgba(0, 0, 0,0.3);
}

.bt{

	margin-top: 40%;
	padding-left: 3%;
	padding-right: 3%;
	padding-top: 1%;
	padding-bottom: 1%;
	font-weight: bold;
	font-size: 20px;
	text-align: center;
	font-family: ;
	border: 3px solid white;
	position: relative;
	color:white;
	box-shadow: 0 0 20px 0 rgba(0, 0, 0,0.3);

}

.container-fluid, .container-lg, .container-md, .container-sm, .container-xl {
    width: 100%;
    margin-top: -200px;
    margin-bottom: 80px;
    padding-right: 200px;
    padding-left: 195px;
    margin-right: auto;
    margin-left: auto;
}


.contact{

	padding-bottom: 100px;
}

.copyright{

	text-align: center;
	background-color: red;
	color: #fff;
	font-weight: bold;
	align-content: center;
	margin-bottom: 100px;
	border-radius: 10px;
	 height: 30px;
	width:80%;
	border: 2px solid black;
	margin-left: 150px;


}

.protfolio{

	margin-bottom: 20%;
}
.card{

   background: #fff;
	border: medium;
	padding:  50px!important;
	border-radius: 3px;
	transition: 0.3s;
	 width: 350px;
    height: 700px;
    border: 1px solid #000;
    perspective: 1000px;
    margin-right: 50px;
}
.card:hover{

	box-shadow: 0 0 20px 0 rgba(0, 0, 0,0.3);
}

.cs{


}
.d{
	width:100px;
	height:100px;
	text-align: center;
	margin-left:80px;
	margin-right: 80px;
}

.v{
	width:100px;
	height:100px;
	text-align: center;
	margin-left:80px;
	margin-right: 80px;
}

.g{
	
	width:100px;
	height:100px;
	text-align: center;
	margin-left:80px;
	margin-right: 80px;
	margin-bottom:12px;

}
.html{

	font-weight: bold;
	font-size:15px;
}
.vl{

	font-weight: bold;
	font-size:17px;
	color: red;
	text-decoration:none;

}
.vl:hover, vl:active, vl:focus {
  color:#000;
}

.gr:hover, gr:active, gr:focus {
  color:#000;
}
.gr{

	font-weight: bold;
	font-size:17px;
	color:#FF5100;
	text-decoration:none;

}
.btns{

	margin-top: 60px;
	border-radius: 8px;
}

.btnd{

	margin-top: 133px;
	border-radius: 8px;
}

.btng{


	border-radius: 8px;
}
.prot{

	box-shadow: 0 0 20px 0 rgba(0, 0, 0,0.3);
}



